Storyden
Trails

Get a Trail run and its independent action results

Return one Trail run and its action runs. The response contains the immutable trigger snapshot, aggregate status, action configuration snapshots, outputs, errors, and linked Robot resources.

GET
/trails/{trail_id}/runs/{run_id}

Return one Trail run and its action runs. The response contains the immutable trigger snapshot, aggregate status, action configuration snapshots, outputs, errors, and linked Robot resources.

Authorization

cookiestoryden-session<token>

Path Parameters

trail_id*string

A unique identifier for this resource.

Formatxid
run_id*string

A unique identifier for this resource.

Formatxid

Response Body

Trail run retrieved.

application/json
  1. response
id*Identifier

A unique identifier for this resource.

Formatxid
createdAt*string

The time the resource was created.

Formatdate-time
updatedAt*string

The time the resource was updated.

Formatdate-time
deletedAt?string

The time the resource was soft-deleted.

Formatdate-time
misc?

Arbitrary extra data stored with the resource.

trail_id*Identifier

A unique identifier for this resource.

Formatxid
trigger?
status*TrailRunStatus
Value in"queued""running""completed""attention_required""cancelled""skipped"
scheduled_for?string
Formatdate-time
actions*array<>
finished_at?string
Formatdate-time
Example Request
curl -X GET 'https://example.com/api/trails/string/runs/string'
Example Response
{  "id": "string",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z",  "deletedAt": "2019-08-24T14:15:22Z",  "misc": {},  "trail_id": "string",  "trigger": {    "trail_id": "string",    "trail_run_id": "string",    "kind": "scheduled",    "trigger": {      "type": "schedule",      "schedule": {        "start": "string",        "timezone": "string",        "rule": {          "frequency": "hourly",          "interval": 1,          "by_weekday": [            "monday"          ],          "by_month": [            1          ],          "by_month_day": [            -31          ],          "count": 1        }      }    },    "scheduled_for": "2019-08-24T14:15:22Z",    "observed_at": "2019-08-24T14:15:22Z",    "initiated_by": "string",    "payload": null  },  "status": "queued",  "scheduled_for": "2019-08-24T14:15:22Z",  "actions": [    {      "id": "string",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "deletedAt": "2019-08-24T14:15:22Z",      "misc": {},      "action": {        "id": "string",        "createdAt": "2019-08-24T14:15:22Z",        "updatedAt": "2019-08-24T14:15:22Z",        "deletedAt": "2019-08-24T14:15:22Z",        "misc": {},        "action": {          "type": "robot_run",          "robot_ref": "string",          "instruction": "string"        }      },      "status": "queued",      "output": null,      "target": {        "type": "robot_run",        "robot_session_id": "string",        "output": {          "status": "completed",          "summary": "string",          "attention": {            "reason": "string",            "message": "string"          }        }      },      "error": "string",      "started_at": "2019-08-24T14:15:22Z",      "finished_at": "2019-08-24T14:15:22Z"    }  ],  "finished_at": "2019-08-24T14:15:22Z"}